Bug 517792 - KMS:RV370:FireGLV3100 hang with compiz
Summary: KMS:RV370:FireGLV3100 hang with compiz
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_R300e/M
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 08:30 UTC by Tim Waugh
Modified: 2018-04-11 13:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 12:38:37 UTC


Attachments (Terms of Use)
Xorg.0.log.old (92.00 KB, text/plain)
2009-08-17 08:32 UTC, Tim Waugh
no flags Details
Xorg.0.log.old (93.64 KB, text/plain)
2009-08-17 09:24 UTC, Tim Waugh
no flags Details
Xorg.0.log (93.63 KB, text/plain)
2009-09-18 11:49 UTC, Tim Waugh
no flags Details
Xorg.0.log (215.64 KB, text/plain)
2009-10-18 20:46 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2009-08-17 08:30:19 UTC
Description of problem:
Having enabled Desktop Effects yesterday, this morning while using the machine it froze, giving no response to the keyboard at all.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.99-34.20090814.fc12.x86_64
xorg-x11-drv-ati-6.12.2-21.fc12.x86_64
compiz-0.8.2-10.fc12.x86_64

How reproducible:
Don't know.

Additional information:
1:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B64 [FireGL V3100 (PCIE)] (rev 80)
01:00.1 Display controller: ATI Technologies Inc RV370 5B64 [FireGL V3100 (PCIE)] (Secondary) (rev 80)

01:00.0 0300: 1002:5b64 (rev 80) (prog-if 00 [VGA controller])
	Subsystem: 1002:0102
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at dc00 [size=256]
	Region 2: Memory at fe9e0000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at fea00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <128ns, L1 <2us
			ExtTag+ AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
			RlxdOrd+ ExtTag+ PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <128ns, L1 <1us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000
	Capabilities: [100] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
	Kernel modules: radeon, radeonfb

01:00.1 0380: 1002:5b74 (rev 80)
	Subsystem: 1002:0103
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Region 0: Memory at fe9f0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <128ns, L1 <2us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <128ns, L1 <1us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-

Comment 1 Tim Waugh 2009-08-17 08:32:02 UTC
Created attachment 357609 [details]
Xorg.0.log.old

Comment 2 Tim Waugh 2009-08-17 09:24:06 UTC
Created attachment 357615 [details]
Xorg.0.log.old

Just happened again, but this time the log file was complete.

Comment 3 Tim Waugh 2009-08-17 09:25:32 UTC
One other thing to note: the first time it happened the mouse cursor was not visible.  This last time, it was visible and could be moved but was very jerky.

Comment 4 Adam Jackson 2009-08-18 19:08:09 UTC
The call chain here is RADEONUploadToScreenCP -> RADEONHostDataBlit -> RADEONCPFlushIndirect -> RADEONCPGetBuffer -> drmDMA -> hang.  I assume this means the kernel is to blame.

Comment 5 Tim Waugh 2009-08-18 20:51:27 UTC
FWIW, this is with kernel-2.6.31-0.125.4.2.rc5.git2.fc12.x86_64.

Comment 6 Tim Waugh 2009-08-21 08:16:55 UTC
Not sure if it's relevant but this happens when I've booted with radeon.modeset=0. (Without that I can't enable desktop effects at all, I get logged out if I try.)

Comment 7 Tim Waugh 2009-09-18 11:49:39 UTC
Created attachment 361630 [details]
Xorg.0.log

Just tried desktop effects again today.  This time I tried *without* radeon.modeset=0 on the command line, and compiz started fine this time -- I didn't get logged out as before.

Unfortunately, this problem happened again as before.

Here is the machine's profile:
http://smolts.org/show?uuid=pub_8f515596-dc8b-40e4-8473-1d219ef4437b

kernel-2.6.31-23.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.4.20090908git651fe5a47.fc12.x86_64
compiz-0.8.2-14.fc12.x86_64

Comment 8 Jérôme Glisse 2009-10-14 11:37:39 UTC
So this one looks like GPU hang, it happens with and without KMS right ? Lastest Fedora 12 still has the issue ?

Comment 9 Tim Waugh 2009-10-18 20:45:29 UTC
It still happens with:

xorg-x11-drv-ati-6.13.0-0.7.20091006git457646d73.fc12.x86_64

This is without KMS only because it doesn't activate at boot.  Kernel cmdline is:

ro root=/dev/mapper/vg_worm01-LogVol00 rhgb quiet SYSFONT=latarcyrheb-sun16 LANG=en_GB.UTF-8 KEYTABLE=gb rd_plytheme=charge 1

Comment 10 Tim Waugh 2009-10-18 20:46:22 UTC
Created attachment 365179 [details]
Xorg.0.log

Here's the hang I got today.

Comment 11 Matěj Cepl 2009-11-05 17:14:04 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 12 Tim Waugh 2009-11-05 17:20:49 UTC
You have to be kidding.  I updated this just a few weeks ago, and the package hasn't been rebuilt since then!

Comment 13 Matěj Cepl 2009-11-06 16:28:48 UTC
(In reply to comment #12)
> You have to be kidding.  I updated this just a few weeks ago, and the package
> hasn't been rebuilt since then!  

Read the bracketed end of the comment.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e758]
1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49e124]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xce) [0x478ede]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f48f83b8000+0x3dff) [0x7f48f83bbdff]
4: /usr/bin/Xorg (0x400000+0x6bdf7) [0x46bdf7]
5: /usr/bin/Xorg (0x400000+0x116993) [0x516993]
6: /lib64/libpthread.so.0 (0x7f4910578000+0xf320) [0x7f4910587320]
7: /usr/bin/Xorg (0x400000+0x61ae0) [0x461ae0]
8: /lib64/libpthread.so.0 (0x7f4910578000+0xf320) [0x7f4910587320]
9: /lib64/libc.so.6 (ioctl+0x7) [0x7f490f655c07]
10: /usr/lib64/libdrm.so.2 (drmIoctl+0x23) [0x7f490e4ab203]
11: /usr/lib64/libdrm.so.2 (drmCommandNone+0x16) [0x7f490e4ab506]
12: /usr/lib64/xorg/modules/drivers/radeon_drv.so (0x7f490dda1000+0xa3ff8) [0x7f490de44ff8]
13: /usr/lib64/xorg/modules/libexa.so (0x7f490cd31000+0x550f) [0x7f490cd3650f]
14: /usr/lib64/xorg/modules/libexa.so (0x7f490cd31000+0x5b40) [0x7f490cd36b40]
15: /usr/lib64/xorg/modules/libexa.so (0x7f490cd31000+0x5228) [0x7f490cd36228]
16: /usr/lib64/xorg/modules/libexa.so (0x7f490cd31000+0xba7f) [0x7f490cd3ca7f]
17: /usr/lib64/xorg/modules/libexa.so (exaOffscreenAlloc+0x237) [0x7f490cd3d307]
18: /usr/lib64/xorg/modules/libexa.so (0x7f490cd31000+0x594f) [0x7f490cd3694f]
19: /usr/lib64/xorg/modules/drivers/radeon_drv.so (0x7f490dda1000+0x97eb8) [0x7f490de38eb8]
20: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f490eabe000+0x3e945) [0x7f490eafc945]
21: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f490eabe000+0x31fce) [0x7f490eaeffce]
22: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f490eabe000+0x313d2) [0x7f490eaef3d2]
23: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f490eabe000+0x3592e) [0x7f490eaf392e]
24: /usr/bin/Xorg (0x400000+0x2c60c) [0x42c60c]
25: /usr/bin/Xorg (0x400000+0x21c9a) [0x421c9a]
26: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f490f59ab4d]
27: /usr/bin/Xorg (0x400000+0x21849) [0x421849]

Comment 14 Tim Waugh 2009-11-06 17:07:04 UTC
I'm trying this again by adding radeon.modeset=1 to the kernel command line, and I'm running these packages now:

kernel-2.6.31.5-122.fc12.x86_64
xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.x86_64

Last time it took 4 days before the issue showed up.  Nothing yet today: I'll keep you posted.

Comment 15 Tim Waugh 2009-11-13 11:15:18 UTC
No problems after a week of use.  Perhaps it is fixed after all?

Comment 16 Jérôme Glisse 2009-11-13 12:38:37 UTC
Let's assume so, reopen if the issue pop up again.


Note You need to log in before you can comment on or make changes to this bug.